commit:     983232fc557d778bc1726e5481c3d9ab8f035205
Author:     David Heidelberg <david <AT> ixit <DOT> cz>
AuthorDate: Thu Dec 26 20:17:12 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Mar 19 19:24:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=983232fc

media-sound/gnome-music: bump 3.34.4

Closes: https://github.com/gentoo/gentoo/pull/14132
Signed-off-by: David Heidelberg <david <AT> ixit.cz>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-sound/gnome-music/Manifest                  |  1 +
 media-sound/gnome-music/gnome-music-3.34.4.ebuild | 80 +++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/media-sound/gnome-music/Manifest b/media-sound/gnome-music/Manifest
index 10ce0a419f7..caf1caad3fc 100644
--- a/media-sound/gnome-music/Manifest
+++ b/media-sound/gnome-music/Manifest
@@ -1 +1,2 @@
 DIST gnome-music-3.32.2.tar.xz 1391112 BLAKE2B 
ec64d48bcc137c69df77d9d9fadb3fa5c1809850e7a434d501cf6fd680500e57a4e6946ab591db9b715e728f0274f37b659afce53fd9213b3cf74f329f4373f3
 SHA512 
633748dcb5cf839f29059fd9bdd5283c455a4157d6c004168d9ef80352b83be3db547377034d0d78af0b6a84fec6fb941888bd53aa14c8bf51da880f04170a23
+DIST gnome-music-3.34.4.tar.xz 1412396 BLAKE2B 
44899422b9a16de48b1435f139ff49f96a9d9e078354f2449ca551deac30b9b4d201e9dadcca700a44a170a6552559b8f06e80c6f248a37aba676dfe64cb7f4c
 SHA512 
7d0450e63a890f10f825892a502b6fe5fbbae389b38e9487a768c50e632c82b89b29263cca2eef07abde429ebdcd1e140ec81ed748cdb643e94c2892f8e5d871

diff --git a/media-sound/gnome-music/gnome-music-3.34.4.ebuild 
b/media-sound/gnome-music/gnome-music-3.34.4.ebuild
new file mode 100644
index 00000000000..f4d80d87068
--- /dev/null
+++ b/media-sound/gnome-music/gnome-music-3.34.4.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit gnome.org gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Music management for Gnome"
+HOMEPAGE="https://wiki.gnome.org/Apps/Music";
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="${PYTHON_DEPS}
+       net-libs/gnome-online-accounts[introspection]
+       >=dev-libs/gobject-introspection-1.54:=
+       >=x11-libs/gtk+-3.23.1:3[introspection]
+       >=dev-libs/libdazzle-3.28.0[introspection]
+       >=media-libs/libmediaart-1.9.1:2.0[introspection]
+       net-libs/libsoup:2.4[introspection]
+       >=app-misc/tracker-2.2.0:=[introspection(+)]
+       $(python_gen_cond_dep '
+               >=dev-python/pygobject-3.29.1:3[cairo,${PYTHON_MULTI_USEDEP}]
+               >=dev-python/pycairo-1.14.0[${PYTHON_MULTI_USEDEP}]
+       ')
+       >=media-libs/grilo-0.3.4:0.3[introspection]
+       >=media-plugins/grilo-plugins-0.3.8:0.3
+"
+# xdg-user-dirs-update needs to be there to create needed dirs
+# https://bugzilla.gnome.org/show_bug.cgi?id=731613
+RDEPEND="${DEPEND}
+       || (
+               >=app-misc/tracker-miners-2.2.0[gstreamer]
+               >=app-misc/tracker-miners-2.2.0[ffmpeg]
+       )
+       x11-libs/libnotify[introspection]
+       media-libs/gstreamer:1.0[introspection]
+       media-libs/gst-plugins-base:1.0[introspection]
+       media-plugins/gst-plugins-meta:1.0
+       media-plugins/grilo-plugins:0.3[tracker]
+       x11-misc/xdg-user-dirs
+"
+BDEPEND="
+       dev-libs/libxml2:2
+       dev-util/itstool
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+RESTRICT="test" # only does desktop and appdata validation, and latter needs 
network to validate screenshot from https
+
+pkg_setup() {
+       python_setup
+}
+
+src_prepare() {
+       sed -e '/sys.path.insert/d' -i "${S}"/gnome-music.in || die "python 
fixup sed failed"
+       xdg_src_prepare
+}
+
+src_install() {
+       meson_src_install
+       python_fix_shebang "${D}"/usr/bin/gnome-music
+       python_optimize
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to